<div class="title-group">
    <h1 class="mat-h1">Stock Order</h1>
    <mat-divider fxFlex="1 0"></mat-divider>
</div>

<div>
    <form id="stock-order-form" [formGroup]="stockOrderForm" novalidate>
        <mat-list>
            <mat-list-item>
                <mat-icon matListIcon>info</mat-icon>
                <h3 matLine>Total</h3>
                <p matLine>
                    <span class="text-caption">{{ total() | currency: 'BRL':'symbol':'2.2-2' }}</span>
                </p>
            </mat-list-item>
            <mat-list-item>
                <mat-icon matListIcon>account_balance_wallet</mat-icon>
                <h3 matLine>Account Balance</h3>
                <p matLine>
                    <span class="text-caption">{{ data.account.balance | currency: 'BRL':'symbol':'2.2-2' }}</span>
                    <mat-error *ngIf="!affordable()">
                        Insuficcient Funds
                    </mat-error>
                </p>

            </mat-list-item>
        </mat-list>
        <mat-card>
            <div class="controlers-wrapper">
                <mat-form-field class="example-full-width">
                    <input matInput placeholder="AMOUNT" formControlName="amount" type="number" min="1">
                    <mat-error *ngIf="handleError('amount', 'required')">
                        You must provide a valid <strong>amount</strong>
                    </mat-error>
                </mat-form-field>
            </div>
        </mat-card>

        <mat-card>
            <div class="full-wrapper button-wrapper">
                <div class="button-wrapper">
                    <button mat-flat-button color="warn" (click)="submit()" type="button">Submit</button>
                    <button mat-flat-button color="war" (click)="resetForm()" type="button">Clear</button>
                </div>
            </div>
        </mat-card>
    </form>
</div>